[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLDBParam.FieldDef

Field definition for update SQL

## Declaration

Source position: sqldb.pp line 148

`public property TSQLDBParam.FieldDef : TFieldDef read FFieldDef write FFieldDef;`

## Description

FieldDef is used during generation of update SQL statements to store information about the field to be updated.

## See also

TSQLDBFieldDef |  | TFieldDef descendant with room to store engine-specific data
TSQLDBParam.SQLDBData |  | Private data for TSQLDB descendents.